//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-833 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2009.10.26 at 01:25:23 PM CET 
//


package info.textgrid.lab.xmleditor.multicharbrowser;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{}customCharsetTable" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="font" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="imageLocation" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="isBlock" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="unicodeBlockset" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 * @author <Julian Dabbert> <dabbert AT upb.de>
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "customCharsetTable"
})
@XmlRootElement(name = "customCharsetData")
public class CustomCharsetData {

    protected CustomCharsetTable customCharsetTable;
    @XmlAttribute
    protected String font;
    @XmlAttribute
    protected String imageLocation;
    @XmlAttribute(required = true)
    protected boolean isBlock;
    @XmlAttribute(required = true)
    protected String name;
    @XmlAttribute(required = true)
    protected String unicodeBlockset;

    /**
     * Gets the value of the customCharsetTable property.
     * 
     * @return
     *     possible object is
     *     {@link CustomCharsetTable }
     *     
     */
    public CustomCharsetTable getCustomCharsetTable() {
        return customCharsetTable;
    }

    /**
     * Sets the value of the customCharsetTable property.
     * 
     * @param value
     *     allowed object is
     *     {@link CustomCharsetTable }
     *     
     */
    public void setCustomCharsetTable(CustomCharsetTable value) {
        this.customCharsetTable = value;
    }

    /**
     * Gets the value of the font property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFont() {
        return font;
    }

    /**
     * Sets the value of the font property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFont(String value) {
        this.font = value;
    }

    /**
     * Gets the value of the imageLocation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getImageLocation() {
        return imageLocation;
    }

    /**
     * Sets the value of the imageLocation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setImageLocation(String value) {
        this.imageLocation = value;
    }

    /**
     * Gets the value of the isBlock property.
     * 
     */
    public boolean isIsBlock() {
        return isBlock;
    }

    /**
     * Sets the value of the isBlock property.
     * 
     */
    public void setIsBlock(boolean value) {
        this.isBlock = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the unicodeBlockset property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnicodeBlockset() {
        return unicodeBlockset;
    }

    /**
     * Sets the value of the unicodeBlockset property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnicodeBlockset(String value) {
        this.unicodeBlockset = value;
    }

}
